 arch/i386/kernel/kgdb_stub.c |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletion(-)

diff -puN arch/i386/kernel/kgdb_stub.c~kgdb-ga-up-warning-fix arch/i386/kernel/kgdb_stub.c
--- 25/arch/i386/kernel/kgdb_stub.c~kgdb-ga-up-warning-fix	2003-04-07 01:49:47.000000000 -0700
+++ 25-akpm/arch/i386/kernel/kgdb_stub.c	2003-04-07 02:09:15.000000000 -0700
@@ -247,8 +247,11 @@ static unsigned int OLD_esp;
 
 #define MALLOC_ROUND 8-1
 
-static char malloc_array[MALLOC_MAX];
+#ifdef CONFIG_SMP
 static void to_gdb(const char * mess);
+#endif
+
+static char malloc_array[MALLOC_MAX];
 void * malloc(int size)
 {
 
@@ -1956,6 +1959,7 @@ asmlinkage void stack_overflow(void)
 
 char	gdbconbuf[BUFMAX];
 
+#ifdef CONFIG_SMP
 static void kgdb_gdb_message(const char *s, unsigned count)
 {
 	int	i;
@@ -1991,6 +1995,8 @@ static void to_gdb(const char *s)
         while ( s[count] && (count++ < BUFMAX));
         kgdb_gdb_message(s,count);
 }
+#endif
+
 #ifdef CONFIG_KGDB_CONSOLE
 #include <linux/console.h>
 #include <linux/init.h>

_
